Cordova 低版本安卓白屏

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/bing103425/article/details/81774607

低版本的安卓webView版本太低,需要安装插件解决

先移除安卓平台

cordova platform remove android

然后添加插件

cordova plugin add cordova-plugin-crosswalk-webview

添加安卓平台

cordova platform add android

修改cordova安卓项目配置文件 \platforms\android\cordova-plugin-crosswalk-webview\cordova-xwalk.gradle  在顶部加一句

ext.cdvBuildMultipleApks=false

如图:

 

如果添加了极光推送jpush-phonegap-plugin插件,jpush-phonegap-plugin和crosswalk冲突,会在某些机型上报错,报错如下:

mismatch of cpu architeture
the crosswalk project service must be update to match the cpu architectureof the device. please install it from the app atore,then restart

这是因为crosswalk的cpu兼容只做了armeabi和x86的,而jpush-phonegap-plugin做了全兼容,cpu加载的时候可能会找不到。把安卓的兼容cpu类型删掉一些,只剩armeabi和x86,能够解决。如图:

这样打包出来的安装包会在很少很少一部分机型上无法使用,贴出各版本cpu对应机型:

我们现在兼容了画红框的机型,也就是说没有兼容64位的平板,Galaxy S6和2011年以前出的手机,几乎可以忽略。

这种不是最好的解决crosswalk和极光冲突的办法,但是有效。

除了极光,可能还有别的插件有这种冲突,这个办法都能解决。

 

 

最后

cordova build android  或者用Android Studio 真机调试

展开阅读全文

没有更多推荐了,返回首页